# Type Alias Brand<Type, Name>`Internal`

Brand: Type & { "[___brand]": Name }

An interface for creating branded types, which create a more specific and unique data type with greater clarity and specificity,

#### Type Parameters

- Type

  The real type to use (e.g. `string`, `boolean`, etc.)

- Name

  The name of this type (e.g. `path`, `sourceRef`, etc.)

#### Example

    type Path = Branded<string, "path">

    function getSelfPath(path: Path): Delta {
      // ...
    }

#### See

https://egghead.io/blog/using-branded-types-in-typescript

- Defined in brand.ts:21